local vanGuards = {}

local vGuards = {}

local gX = {-631.9822, -628.2145, -615.1265, -619.5533 }
local gY = {-233.4806, -239.4867, -230.2837, -224.0932 }
local gZ = {38.05, 38.05, 38.05, 38.05}


local gLoaded = false
local deleteEm = false

function vanGuards.init() end

function vanGuards.unload() end

function spawnvGuards()
  local gSkin = GAMEPLAY.GET_HASH_KEY("s_m_m_security_01")
  STREAMING.REQUEST_MODEL(gSkin)
  while not STREAMING.HAS_MODEL_LOADED(gSkin) do
		wait(50)
	end
  for i = 1, 4 do 
    vGuards[i] = PED.CREATE_PED(4, gSkin, gX[i], gY[i], gZ[i],180, false, true)
    PED.SET_PED_CAN_SWITCH_WEAPON(vGuards[i], true)
    WEAPON.GIVE_WEAPON_TO_PED(vGuards[i], GAMEPLAY.GET_HASH_KEY("WEAPON_PISTOL"), 500, true, true)
    ENTITY.SET_ENTITY_INVINCIBLE(vGuards[i], false)
    PED.SET_PED_RELATIONSHIP_GROUP_HASH(vGuards[i], GAMEPLAY.GET_HASH_KEY("SECURITY_GUARD"))
  end
  print("Loaded Guards!")
end

function vanGuards.tick()
  local playerPed = PLAYER.PLAYER_PED_ID()
  local isDead = ENTITY.IS_ENTITY_DEAD(playerPed)
  local location = ENTITY.GET_ENTITY_COORDS(playerPed, nil)
  if isDead then
    gLoaded = true
    --print("Guards Cleared!")
  end
  
  if GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -629.99, -236.542, 38.05 , location.x, location.y, location.z, true ) < 20 then
    if not gLoaded then
    gLoaded = true
    spawnvGuards()
    end
  elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -629.99, -236.542, 38.05 , location.x, location.y, location.z, true ) > 50 then
    
    if gLoaded then 
      deleteEm = true
    end
    
    for i = 1, 4 do
      if deleteEm then
      PED.DELETE_PED(vGuards[i])
      end
    end
    --print("Guards Cleared")
    gLoaded = false
  end
end

return vanGuards
