local jewelheist = {}

local blip = {}
local c = {} 

jBlipsLoaded = false

aDict = "missheist_jewel"
smashAnim = "smash_case_tray_a" --AI::TASK_PLAY_ANIM(0, l_D29._f23, l_D29._f1F, 8.0, -8.0, -1, 0, 0, 0, 0, 0)

dropoffP = false
startH = false
jewelPart = false
escape = false

--Jewellery Cases
c[1] = false
c[2] = false
c[3] = false
c[4] = false
c[5] = false
c[6] = false
c[7] = false
c[8] = false
c[9] = false
c[10] = false
c[11] = false
c[12] = false
c[13] = false
c[14] = false
c[15] = false
c[16] = false
c[17] = false
c[18] = false
c[19] = false
c[20] = false
----------------------

dropBlip = false

cleared = false

jobPay = 0

payment = false

local tStarted = false

local timerTime = 0

------------------------
function jewelheist.init() 
	storeB = UI.ADD_BLIP_FOR_COORD(-631.8218 ,-237.8340,38.07)
	UI.SET_BLIP_SCALE(storeB, 1)
	UI.SET_BLIP_SPRITE(storeB, 363)
	UI.SET_BLIP_AS_SHORT_RANGE(storeB, true)
end


function jewelheist.unload() 
  UI.REMOVE_BLIP(storeB)
end


function tStart()
  timerTime = GAMEPLAY.GET_GAME_TIMER()
end

function gTimer(wtime)
  tStarted = true
  local getTimerCurrent = GAMEPLAY.GET_GAME_TIMER() - timerTime
  
  if getTimerCurrent >= wtime then
    return true
  else
    return false
  end
end

function drawText(text, x, y, scale)
  UI.SET_TEXT_FONT(6)
  UI.SET_TEXT_SCALE(scale, scale)
  UI.SET_TEXT_COLOUR(255, 255, 255, 255)
  UI.SET_TEXT_WRAP(0.0, 1.0)
  UI.SET_TEXT_CENTRE(false)
  UI.SET_TEXT_DROPSHADOW(2, 2, 0, 0, 0)
  UI.SET_TEXT_EDGE(1, 0, 0, 0, 205)
  UI._SET_TEXT_ENTRY("STRING")
  UI._ADD_TEXT_COMPONENT_STRING(text)
  UI._DRAW_TEXT(y, x)
end

function freezePlayer()
  local playerPed = PLAYER.PLAYER_PED_ID()
  ENTITY.FREEZE_ENTITY_POSITION(playerPed, true)
  drawText("Looting...", 0.5, 0.5, 1)
end

function setMessage(msg) 
	UI._SET_NOTIFICATION_TEXT_ENTRY("STRING")
	UI._ADD_TEXT_COMPONENT_STRING(msg)
	Note = UI._DRAW_NOTIFICATION(FALSE, true)
end

function clearMessage(x)
  UI._REMOVE_NOTIFICATION(x)
end

function StartDrop()
	dropBlip = true
	dBlip = UI.ADD_BLIP_FOR_COORD(1276.1351, -1723.3359, 54.65)
	UI.SET_BLIP_COLOUR(dBlip, 16742399)
	UI.SET_BLIP_SCALE(dBlip, 1)
	UI.SET_BLIP_FLASHES(dBlip, true)
	UI.SET_BLIP_ROUTE(dBlip, true)
end

function rB(i)
	UI.REMOVE_BLIP(blip[i])
end

function clearJBlips()
	cleared = true
	for i = 1, 20 do
		if UI.DOES_BLIP_EXIST(blip[i]) then
			rB(i)
		end
	end
	print("Cleared!")
end


function resetH()
	print("Heist Reset")
  
	dropBlip = false
  dropoffP = false
  startH = false
  jewelPart = false
  escape = false
	
	jBlipsLoaded = false
	if UI.DOES_BLIP_EXIST(dBlip) then
		UI.REMOVE_BLIP(dBlip)
	end
	
	--Jewellery
	for i = 1, 20 do
		c[i] = false
	end
	
	jobPay = 0

	payment = false
  
  clearJBlips()
  
  cleared = false
   
end

heistP = {
  [1] = function()
	local playerPed = PLAYER.PLAYER_PED_ID()
	local location = ENTITY.GET_ENTITY_COORDS(playerPed, nil)
	if get_key_pressed(Keys.E) then
		PLAYER.SET_PLAYER_WANTED_LEVEL(PLAYER.GET_PLAYER_PED(playerPed),3,false)
		--PLAYER.SET_PLAYER_WANTED_LEVEL_NOW(PLAYER.GET_PLAYER_PED(playerPed),false)
		PED.SET_PED_COMPONENT_VARIATION(playerPed, 9, 1, 0, 0)
		startH = true
	end
end,

	[2] = function()
	if not jBlipsLoaded then
	jBlipsLoaded = true
	blip[1] = UI.ADD_BLIP_FOR_COORD(-626.5326, -238.3758, 38.05)
	blip[2] = UI.ADD_BLIP_FOR_COORD( -625.6032, -237.5273, 38.05)
	blip[3] = UI.ADD_BLIP_FOR_COORD(-626.9178, -235.5166, 38.05)
	blip[4] = UI.ADD_BLIP_FOR_COORD(-625.6701, -234.6061, 38.05)
	blip[5] = UI.ADD_BLIP_FOR_COORD(-626.8935, -233.0814, 38.05)
	blip[6] = UI.ADD_BLIP_FOR_COORD(-627.9514, -233.8582, 38.05)
	blip[7] = UI.ADD_BLIP_FOR_COORD(-624.5250, -231.0555, 38.05)
	blip[8] = UI.ADD_BLIP_FOR_COORD(-623.0003, -233.0833, 38.05)
	blip[9] = UI.ADD_BLIP_FOR_COORD(-620.1098, -233.3672, 38.05)
	blip[10] = UI.ADD_BLIP_FOR_COORD(-620.2979, -234.4196, 38.05)
	blip[11] = UI.ADD_BLIP_FOR_COORD(-619.0646, -233.5629, 38.05)
	blip[12] = UI.ADD_BLIP_FOR_COORD(-617.4846, -230.6598, 38.05)
	blip[13] = UI.ADD_BLIP_FOR_COORD(-618.3619, -229.4285, 38.05)
	blip[14] = UI.ADD_BLIP_FOR_COORD(-619.6064, -230.5518, 38.05)
	blip[15] = UI.ADD_BLIP_FOR_COORD(-620.8951, -228.6519, 38.05)
	blip[16] = UI.ADD_BLIP_FOR_COORD(-619.7905, -227.5623, 38.05)
	blip[17] = UI.ADD_BLIP_FOR_COORD(-620.6110, -226.4467, 38.05)
	blip[18] = UI.ADD_BLIP_FOR_COORD(-623.9951, -228.1755, 38.05)
	blip[19] = UI.ADD_BLIP_FOR_COORD(-624.8832, -227.8645, 38.05)
	blip[20] = UI.ADD_BLIP_FOR_COORD(-623.6746, -227.0025, 38.05)
	end
	
	
	--Set Colours
	for i = 1, 20 do
		UI.SET_BLIP_COLOUR(blip[i], 16742399)
	--Set Scale
		UI.SET_BLIP_SCALE(blip[i], 0.5)
	end
	print("Blips loading complete.")
end,

	[3] = function()
	local playerPed = PLAYER.PLAYER_PED_ID()
	local location = ENTITY.GET_ENTITY_COORDS(playerPed, nil)
		
	if GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -629.99, -236.542, 38.05 , location.x, location.y, location.z, true ) > 20 then
		escape = true
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -626.5326, -238.3758, 38.05 , location.x, location.y, location.z, true ) < 1 and not c[1] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
        rB(1)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[1] = true
        
      end  
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -625.6032, -237.5273, 38.05 , location.x, location.y, location.z, true ) < 1 and not c[2] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
			
        rB(2)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[2] = true
        
      end  
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -626.9178, -235.5166, 38.05 , location.x, location.y, location.z, true ) < 1 and not c[3] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
        rB(3)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[3] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -625.6701, -234.6061, 38.05 , location.x, location.y, location.z, true ) < 1 and not c[4] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
		
        rB(4)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[4] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -626.8935, -233.0814, 38.05 , location.x, location.y, location.z, true ) < 1 and not c[5] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
		
        rB(5)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[5] = true
        
      end      
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -627.9514, -233.8582, 38.05 , location.x, location.y, location.z, true ) < 1 and not c[6] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
        rB(6)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[6] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -624.5250, -231.0555, 38.05 , location.x, location.y, location.z, true ) < 1 and not c[7] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
        rB(7)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[7] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -623.0003, -233.0833, 38.05 , location.x, location.y, location.z, true ) < 1 and not c[8] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
		
        rB(8)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[8] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -620.1098, -233.3672, 38.05 , location.x, location.y, location.z, true ) < 1 and not c[9] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
        rB(9)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[9] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -620.2979, -234.4196, 38.05 , location.x, location.y, location.z, true ) < 0.5 and not c[10] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
		
        rB(10)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[10] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -619.0646, -233.5629, 38.05 , location.x, location.y, location.z, true ) < 0.5 and not c[11] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
			
		
        rB(11)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[11] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -617.4846, -230.6598, 38.05 , location.x, location.y, location.z, true ) < 1 and not c[12] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
		
        rB(12)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[12] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -618.3619, -229.4285, 38.05 , location.x, location.y, location.z, true ) < 0.5 and not c[13] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
		
        rB(13)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[13] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -619.6064, -230.5518, 38.05 , location.x, location.y, location.z, true ) < 1 and not c[14] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
		
        rB(14)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[14] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -620.8951, -228.6519, 38.05 , location.x, location.y, location.z, true ) < 1 and not c[15] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
			
		
        rB(15)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[15] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -619.7905, -227.5623, 38.05 , location.x, location.y, location.z, true ) < 0.5 and not c[16] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
			
		
        rB(16)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[16] = true
        
      end    		
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -620.6110, -226.4467, 38.05 , location.x, location.y, location.z, true ) < 0.5 and not c[17] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
	
        rB(17)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[17] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -623.9951, -228.1755, 38.05 , location.x, location.y, location.z, true ) < 0.5 and not c[18] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
		
        rB(18)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[18] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -624.8832, -227.8645, 38.05 , location.x, location.y, location.z, true ) < 0.5 and not c[19] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
		
        rB(19)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[19] = true
        
      end    
	elseif GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -623.6746, -227.0025, 38.05 , location.x, location.y, location.z, true ) < 0.5 and not c[20] then
		drawText("Press [E] to loot the jewellery!", 0.5, 0.5, 1)
		if get_key_pressed(Keys.E) then
		
        rB(20)
        drawText("Looted.", 0.5, 0.5, 1)
        AUDIO.PLAY_SOUND_FRONTEND(-1, "PICK_UP", "HUD_FRONTEND_DEFAULT_SOUNDSET", false)
        ENTITY.FREEZE_ENTITY_POSITION(playerPed, false)
        jobPay = jobPay + math.random(50000, 150000)
        c[20] = true
        
    end    
  end
	end,

	[4] = function()
	local playerPed = PLAYER.PLAYER_PED_ID()
	local location = ENTITY.GET_ENTITY_COORDS(playerPed, nil)
	if not cleared then
		clearJBlips()
	end
	if(GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -629.99, -236.542, 38.05 , location.x, location.y, location.z, true ) < 50) then
		PLAYER.SET_PLAYER_WANTED_LEVEL(PLAYER.GET_PLAYER_PED(playerPed),3,false)
	end
	
	if(PLAYER.GET_PLAYER_WANTED_LEVEL(PLAYER.GET_PLAYER_PED_SCRIPT_INDEX(playerPed))<1) then
		if not(dropBlip) then
			StartDrop()
			dropoffP = true
		end
	end
end,
	[5] = function()
	local playerPed = PLAYER.PLAYER_PED_ID()
	local location = ENTITY.GET_ENTITY_COORDS(playerPed, nil)
	
	if PLAYER.GET_PLAYER_WANTED_LEVEL(PLAYER.GET_PLAYER_PED_SCRIPT_INDEX(playerPed))<1 and GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( 1276.1351, -1723.3359, 54.65 , location.x, location.y, location.z, true ) < 10 then
		if not payment then
			pickup = OBJECT.CREATE_AMBIENT_PICKUP(GAMEPLAY.GET_HASH_KEY("PICKUP_MONEY_SECURITY_CASE"), 1276.1351, -1723.3359, 54.65 , 0, jobPay, 1, false, true)
			payment = true
		end
		
		if PLAYER.GET_PLAYER_WANTED_LEVEL(PLAYER.GET_PLAYER_PED_SCRIPT_INDEX(playerPed))<1  and GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( 1276.1351, -1723.3359, 54.65 , location.x, location.y, location.z, true ) < 1 then
			PED.SET_PED_COMPONENT_VARIATION(playerPed, 9, 0, 0, 0)
			resetH()
			UI.REMOVE_BLIP(dBlip)
			AUDIO.PLAY_MISSION_COMPLETE_AUDIO("MICHAEL_BIG_01")
		end
	end
end,
}

function jewelheist.tick()
	local playerPed = PLAYER.PLAYER_PED_ID()
	local player = PLAYER.GET_PLAYER_PED(playerPed)
	local location = ENTITY.GET_ENTITY_COORDS(playerPed, nil)
	local isDead = ENTITY.IS_ENTITY_DEAD(playerPed)
--[[ Debugging
	if(get_key_pressed(Keys.End))then
		PLAYER.SET_PLAYER_WANTED_LEVEL(PLAYER.GET_PLAYER_PED(playerPed),0,false) 
		resetH()
	end
  ]]
	if isDead and startH then
		resetH()
	end
	
	if GAMEPLAY.GET_DISTANCE_BETWEEN_COORDS( -629.99, -236.542, 38.05 , location.x, location.y, location.z, true ) < 2 and not startH  then
		setMessage("Press E to start the heist.")
		--start
		heistP[1]()
elseif startH and not jewelPart and not escape and not dropoffP then
    --clearMessage(Note)
		setMessage("Loot the jewellery cases fast! Before the cops arrive.")
    if jBlipsLoaded then
      jewelPart = true
    elseif not jBlipsLoaded then
	  heistP[2]()
    end
		--SelectPart(2) --loadBlips
	elseif jewelPart and not escape and not dropoffP then
    --clearMessage(Note)
		setMessage("Leave whenever you want with what you have.")
		heistP[3]()
		--SelectPart(3) -- Jewels
	elseif escape and not dropoffP then
    --clearMessage(Note)
		setMessage("Escape the cops!")
		--SelectPart(4) --EscapeC
		heistP[4]()
	elseif dropoffP then
    --clearMessage(Note)
		setMessage("Drop the jewellery off at Lester's.")
		heistP[5]()
		--SelectPart(5) --DropOff
	end
end
return jewelheist
